NodeNaming.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/NodeNaming.h"`
`#include "command_classes/Association.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "Notification.h"`
`#include "platform/Log.h"`

## Enumerations

enum | NodeNamingCmd { NodeNamingCmd_Set = 0x01, NodeNamingCmd_Get = 0x02, NodeNamingCmd_Report = 0x03, NodeNamingCmd_LocationSet = 0x04, NodeNamingCmd_LocationGet = 0x05, NodeNamingCmd_LocationReport = 0x06 }
enum | StringEncoding { StringEncoding_ASCII = 0, StringEncoding_ExtendedASCII, StringEncoding_UTF16 }

## Variables

uint16 const | c_extendedAsciiToUnicode []

## Enumeration Type Documentation

## NodeNamingCmd

enum NodeNamingCmd

Enumerator
NodeNamingCmd_Set |
NodeNamingCmd_Get |
NodeNamingCmd_Report |
NodeNamingCmd_LocationSet |
NodeNamingCmd_LocationGet |
NodeNamingCmd_LocationReport |

## StringEncoding

enum StringEncoding

Enumerator
StringEncoding_ASCII |
StringEncoding_ExtendedASCII |
StringEncoding_UTF16 |

## Variable Documentation

## c_extendedAsciiToUnicode

uint16 const c_extendedAsciiToUnicode[]